%global pre rc2

Summary:       Real-time Sound Processor
Name:          creox
Group:         Applications/Multimedia
Version:       0.2.2
Release:       0.4.%{pre}%{?dist}
License:       GPLv2
URL:           http://zyzstar.kosoru.com/?creox
Source0:       http://zyzstar.kosoru.com/projects/creox/downloads/%{name}-%{version}%{?pre}.tar.bz2
# Note: Both Source1 and Patch0 are sent upstream via email (on 2009-05-05) since 
# they don't appear to have a bugtracker.
# The .desktop file in the tarball is a disaster. We replace it with a proper one
Source1:       %{name}.desktop
# Fix "EBUSY is not declared" error
Patch0:        %{name}-0.2.2rc2-errno-fix.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: kdelibs3-devel


%description
Creox is a real-time sound processor. You can plug your electric guitar or any
other musical instrument directly to the PC's sound card and start
experimenting with various sound effects. Creox has a nice user-friendly GUI, a
preset support, a low-latency DSP engine and each effect parameter can be
altered "on the fly".

As the creox is a JACK application, the output sound can be routed to the other
JACK-aware applications and the input audio can be taken as the output
from the other JACK client. 

%prep
%setup -q -n %{name}-%{version}%{?pre}
%patch0 -p1 -b .ebusy

# Remove precompiled binaries:
rm -f po/*.gmo

cp -a %{SOURCE1} %{name}/

%build
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 

%find_lang %{name}

desktop-file-install \
    --delete-original \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-, root, root,-)
%doc AUTHORS BUGS COPYING ChangeLog README TODO
%{_docdir}/HTML/*/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Wed Aug 05 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 0.2.2-0.4.rc2
- Update .desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-0.3.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 0.2.2-0.2.rc2
- Some specfile make-up
- Sent Source1 and Patch0 upstream. Comment added.

* Wed Apr 22 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 0.2.2-0.1.rc2
- Initial Fedora build
